Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface Filter

public interface Filter

The `Filter` interface consists of a list of constants that can be used within interface `WFObjectList` to create filtered lists of process definitions (`Plan`), process instances (`ProcessInstance`) and work items (`WorkItem`).

The predefined filters allow users to filter these lists as specified in the definitions provided with each of the constants in this interface. For example the filter `AllProcesses` is used to retrieve all existing process instances. The filter `MyProcesses` retrieves only those process instances which are initiated by the user who calls the list-operation.

NOTE: The `All`-type filters only work if the user has administration rights. Otherwise they work like the `My`-filters and return only those components corresponding to the user.

For more information on creating filtered lists, see the `WFObjectList` Javadoc by clicking on the link below.

See Also:
  `WFObjectList`, `Plan`, `ProcessInstance`, `WorkItem`

Field Summary
`static int` | `AllActiveProcesses` Integer constant representing the filter that retrieves all active process instances.
`static int` | `AllArchivedPlans` Filter constant to retrieve all archived process definitions.
`static int` | `AllArchivedProcesses` Filter constant to retrieve all archived process instances.
`static int` | `AllCompletedWorkItems` Deprecated. Work items are deleted after making choice. They can be fetched via history entries.
`static int` | `AllInactiveProcesses` Constant of filter to retrieve all inactive process instances.
`static int` | `AllInactiveWorkItems` Filter constant to retrieve all inactive work items.
`static int` | `AllPlans` Filter constant to retrieve all process definitions which are in either draft (`Plan.STATE_DRAFT`) or published (`Plan.STATE_PUBLISHED`) state.
`static int` | `AllProcesses` Integer constant representing the filter that retrieves all process instances without the archived ones.
`static int` | `AllProcessesInErrorState` Constant to filter all process instance which are in state `ProcessInstance.STATE_ERROR`.
`static int` | `AllWorkItems` Filter constant to retrieve all work items.
`static int` | `FILTER_FIRST` Deprecated.
`static int` | `FILTER_LAST` Deprecated.
`static int` | `MyAcceptedWorkItems` Constant to filter all work items which are accepted by the logged-in user.
`static int` | `MyActiveProcesses` Constant representing the filter that retrieves all active process instances initiated by the logged-in user.
`static int` | `MyActiveWorkItems` Constant to filter all work items which are active and belong to the logged-in user.
`static int` | `MyCompletedWorkItems` Integer constant representing the filter that retrieves all work items which are completed by the logged-in user.
`static int` | `MyDeclinedWorkItems` Filter constant to retrieve all work items which are declined by the logged-in user.
`static int` | `MyInactivePlans` Filter constant to retrieve all inactive process definitions.
`static int` | `MyInactiveProcesses` Integer constant representing the filter that retrieves all inactive process instances initiated by the logged-in user.
`static int` | `MyPlans` Constant to filter all process definitions belonging to the logged-in user.
`static int` | `MyProcesses` Constant representing the filter that retrieves all process instances initiated by the logged-in user.
`static int` | `MyWorkItems` Filter constant to retrieve all work items belonging to the logged-in user.
`static int` | `OP_EQUAL` Deprecated.
`static int` | `OP_GREATERTHAN` Deprecated.
`static int` | `OP_GREATERTHANOREQUAL` Deprecated.
`static int` | `OP_LESSTHAN` Deprecated.
`static int` | `OP_LESSTHANOREQUAL` Deprecated.
`static int` | `OP_MATCH` Deprecated.
`static int` | `OP_NOTEQUAL` Deprecated.

Field Detail

### FILTER_FIRST

    public static final int FILTER_FIRST

  Deprecated.

  This variable holds the value of the lowest integer contained within the list of filters.

  See Also:
    Constant Field Values

### AllProcesses

    public static final int AllProcesses

  Integer constant representing the filter that retrieves all process instances without the archived ones.

  See Also:
    Constant Field Values

### AllActiveProcesses

    public static final int AllActiveProcesses

  Integer constant representing the filter that retrieves all active process instances. For example a process instance is active when it has the state `ProcessInstance.STATE_RUNNING`

  See Also:
    Constant Field Values

### AllInactiveProcesses

    public static final int AllInactiveProcesses

  Constant of filter to retrieve all inactive process instances. For example a process instance is inactive when it is in state `ProcessInstance.STATE_CLOSED`, `ProcessInstance.STATE_ABORTED` or `ProcessInstance.STATE_SUSPENDED`

  See Also:
    Constant Field Values

### MyProcesses

    public static final int MyProcesses

  Constant representing the filter that retrieves all process instances initiated by the logged-in user.

  See Also:
    Constant Field Values

### MyActiveProcesses

    public static final int MyActiveProcesses

  Constant representing the filter that retrieves all active process instances initiated by the logged-in user.

  See Also:
    `AllActiveProcesses`, Constant Field Values

### MyInactiveProcesses

    public static final int MyInactiveProcesses

  Integer constant representing the filter that retrieves all inactive process instances initiated by the logged-in user.

  See Also:
    `AllInactiveProcesses`, Constant Field Values

### AllWorkItems

    public static final int AllWorkItems

  Filter constant to retrieve all work items.

  See Also:
    Constant Field Values

### MyWorkItems

    public static final int MyWorkItems

  Filter constant to retrieve all work items belonging to the logged-in user.

  See Also:
    Constant Field Values

### AllPlans

    public static final int AllPlans

  Filter constant to retrieve all process definitions which are in either draft (`Plan.STATE_DRAFT`) or published (`Plan.STATE_PUBLISHED`) state.

  This filter retrieves private (`Plan.STATE_PRIVATE`) and obsolete (`Plan.STATE_OBSOLETE`) process definitions as well if the user logged in has administration rights.

  See Also:
    Constant Field Values

### MyPlans

    public static final int MyPlans

  Constant to filter all process definitions belonging to the logged-in user.

  See Also:
    `AllPlans`, Constant Field Values

### MyAcceptedWorkItems

    public static final int MyAcceptedWorkItems

  Constant to filter all work items which are accepted by the logged-in user. A work item is accepted if user calls the method `accept` of the interface `WorkItem`.

  See Also:
    Constant Field Values

### MyActiveWorkItems

    public static final int MyActiveWorkItems

  Constant to filter all work items which are active and belong to the logged-in user.

  See Also:
    Constant Field Values

### MyDeclinedWorkItems

    public static final int MyDeclinedWorkItems

  Filter constant to retrieve all work items which are declined by the logged-in user. A work item is declined if user calls the method `decline` from the `WorkItem` interface.

  See Also:
    Constant Field Values

### MyCompletedWorkItems

    public static final int MyCompletedWorkItems

  Integer constant representing the filter that retrieves all work items which are completed by the logged-in user.

  See Also:
    Constant Field Values

### AllInactiveWorkItems

    public static final int AllInactiveWorkItems

  Filter constant to retrieve all inactive work items. A work item is inactive when it has the state: `WorkItem.STATE_DEACTIVE`

  See Also:
    Constant Field Values

### AllArchivedPlans

    public static final int AllArchivedPlans

  Filter constant to retrieve all archived process definitions.

  Using this filter within `WFObjectList` returns a list of archived process definitions. From these process definitions only the fields `id` and `name` can be retrieved by using methods `Plan.getId` and `Plan.getName`. All other fields of process definition are not offered.

  The whole parameters of an archived process definition are offered by calling the method `WFAdminSession.getArchivedPlan` which needs the `id` as argument.

  See Also:
    `WFObjectList.openBatchedList(int)`, `WFAdminSession.getArchivedPlan(long)`, `Plan`, Constant Field Values

### AllArchivedProcesses

    public static final int AllArchivedProcesses

  Filter constant to retrieve all archived process instances.

  See Also:
    Constant Field Values

### MyInactivePlans

    public static final int MyInactivePlans

  Filter constant to retrieve all inactive process definitions. For example a process definition is inactive when it is in one of the following states:
  - `Plan.STATE_DELETED`
  - `Plan.STATE_PRIVATE`
  - `Plan.STATE_OBSOLETE`

  See Also:
    Constant Field Values

### AllProcessesInErrorState

    public static final int AllProcessesInErrorState

  Constant to filter all process instance which are in state `ProcessInstance.STATE_ERROR`.

  See Also:
    Constant Field Values

### AllCompletedWorkItems

    public static final int AllCompletedWorkItems

  Deprecated. Work items are deleted after making choice. They can be fetched via history entries.

  Integer constant representing the filter that retrieves all work items which are completed by any user.

  See Also:
    Constant Field Values

### FILTER_LAST

    public static final int FILTER_LAST

  Deprecated.

  This variable holds the value of the highest integer contained within the list of filters.

  See Also:
    Constant Field Values

### OP_EQUAL

    public static final int OP_EQUAL

  Deprecated.

  Reserved for future usage.

  See Also:
    Constant Field Values

### OP_NOTEQUAL

    public static final int OP_NOTEQUAL

  Deprecated.

  Reserved for future usage.

  See Also:
    Constant Field Values

### OP_LESSTHAN

    public static final int OP_LESSTHAN

  Deprecated.

  Reserved for future usage.

  See Also:
    Constant Field Values

### OP_LESSTHANOREQUAL

    public static final int OP_LESSTHANOREQUAL

  Deprecated.

  Reserved for future usage.

  See Also:
    Constant Field Values

### OP_GREATERTHAN

    public static final int OP_GREATERTHAN

  Deprecated.

  Reserved for future usage.

  See Also:
    Constant Field Values

### OP_GREATERTHANOREQUAL

    public static final int OP_GREATERTHANOREQUAL

  Deprecated.

  Reserved for future usage.

  See Also:
    Constant Field Values

### OP_MATCH

    public static final int OP_MATCH

  Deprecated.

  Reserved for future usage.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD